> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get internalhealthvoice campaign daemon



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /internal/health/voice-campaign-daemon
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /internal/health/voice-campaign-daemon:
    get:
      tags:
        - Health
      operationId: internal.health.voice-campaign-daemon
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: healthy
                  daemon:
                    type: object
                    properties:
                      running:
                        type: boolean
                      last_heartbeat:
                        type: string
                      iteration:
                        type: string
                      memory_mb:
                        type: string
                      uptime_seconds:
                        type: string
                      total_dispatched:
                        type: string
                      active_campaigns:
                        type: string
                      campaigns_in_retry:
                        type: string
                    required:
                      - running
                      - last_heartbeat
                      - iteration
                      - memory_mb
                      - uptime_seconds
                      - total_dispatched
                      - active_campaigns
                      - campaigns_in_retry
                required:
                  - status
                  - daemon
        '503':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: unhealthy
                  daemon:
                    type: object
                    properties:
                      running:
                        type: boolean
                      last_heartbeat:
                        type: string
                    required:
                      - running
                      - last_heartbeat
                  reason:
                    type: string
                    enum:
                      - Heartbeat too old
                      - No heartbeat found
                required:
                  - status
                  - daemon
                  - reason
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````